<form [formGroup]="recommendationForm" (ngSubmit)="onSubmit()">
  <label for="age">Age:</label>
  <input id="age" formControlName="age" type="number">
  <label for="student">Student:</label>
  <input id="student" formControlName="student" type="checkbox">
  <label for="income">Income:</label>
  <input id="income" formControlName="income" type="number">
  <button type="submit">Get Recommendations</button>
</form>

<div *ngIf="recommendations.length > 0">
  <h3>Recommended Products:</h3>
  <ul>
    <li *ngFor="let product of recommendations">{{ product }}</li>
  </ul>
</div>
